routes/web.php
<?php

Route::redirect('/', '/login');
Route::get('/home', function () {
    if (session('status')) {
        return redirect()->route('admin.home')->with('status', session('status'));
    }

    return redirect()->route('admin.home');
});

Auth::routes(['register' => false]);
// Admin

Route::group(['prefix' => 'admin', 'as' => 'admin.', 'namespace' => 'Admin', 'middleware' => ['auth']], function () {
    Route::get('/', 'HomeController@index')->name('home');
    // Users
    Route::delete('users/destroy', 'UsersController@massDestroy')->name('users.massDestroy');
    Route::resource('users', 'UsersController');

    // Wards
    Route::get('search-wards', 'WardsController@search')->name('wards.search');
    Route::resource('wards', 'WardsController', ['except' => ['create', 'store', 'edit', 'update', 'destroy']]);

    // Villages
    Route::get('search-villages', 'VillagesController@search')->name('villages.search');
    Route::delete('villages/destroy', 'VillagesController@massDestroy')->name('villages.massDestroy');
    Route::resource('villages', 'VillagesController');

    // Thematic Areas
    Route::delete('thematic-areas/destroy', 'ThematicAreasController@massDestroy')->name('thematic-areas.massDestroy');
    Route::resource('thematic-areas', 'ThematicAreasController');

    // Age Bands
    Route::delete('age-bands/destroy', 'AgeBandsController@massDestroy')->name('age-bands.massDestroy');
    Route::resource('age-bands', 'AgeBandsController');

    // Value Chains
    Route::delete('value-chains/destroy', 'ValueChainsController@massDestroy')->name('value-chains.massDestroy');
    Route::resource('value-chains', 'ValueChainsController');

    // Training Categories
    Route::delete('training-categories/destroy', 'TrainingCategoriesController@massDestroy')->name('training-categories.massDestroy');
    Route::resource('training-categories', 'TrainingCategoriesController');

    // Topics
    Route::delete('topics/destroy', 'TopicsController@massDestroy')->name('topics.massDestroy');
    Route::resource('topics', 'TopicsController');

    // Facilitators
    Route::get('search-facilitators', 'FacilitatorsController@search')->name('facilitators.search');
    Route::delete('facilitators/destroy', 'FacilitatorsController@massDestroy')->name('facilitators.massDestroy');
    Route::post('facilitators/import', 'FacilitatorsController@import')->name('facilitators.import');
    Route::resource('facilitators', 'FacilitatorsController');

    // Groups
    Route::get('search-groups', 'GroupsController@search')->name('groups.search');
    Route::delete('groups/destroy', 'GroupsController@massDestroy')->name('groups.massDestroy');
    // Route::get('groups/{group_id}/members/create', 'GroupsController@createForGroup')->name('group.members.create');
    //Route::post('mass-store-members', 'GroupsController@massStore')->name('members.massStore');
    Route::resource('groups', 'GroupsController');


    // Beneficiaries
    Route::get('search-beneficiaries', 'BeneficiariesController@search')->name('beneficiaries.search');
    Route::delete('beneficiaries/destroy', 'BeneficiariesController@massDestroy')->name('beneficiaries.massDestroy');
    Route::get('beneficiaries/export','BeneficiariesController@export')->name('beneficiaries.export');
    Route::resource('beneficiaries', 'BeneficiariesController');

    // Trainings
    Route::post('trainings/import', 'TrainingsController@import')->name('trainings.import');
    Route::delete('trainings/destroy', 'TrainingsController@massDestroy')->name('trainings.massDestroy');
    // Route::post('trainings/process-excel-import', 'TrainingsController@processExcelImport')->name('trainigs.processCsvImport');
    Route::resource('trainings', 'TrainingsController');

    // Attendances
    Route::delete('attendances/destroy', 'AttendancesController@massDestroy')->name('attendances.massDestroy');
    Route::get('trainings/{training_id}/attendances/create', 'AttendancesController@createForTraining')->name('training.attendances.create');
    Route::post('mass-store-attendances', 'AttendancesController@massStore')->name('attendances.massStore');
    Route::resource('attendances', 'AttendancesController');

      //Members
    Route::delete('members/destroy', 'MembersController@massDestroy')->name('members.massDestroy');
    Route::get('groups/{group_id}/members/create', 'MembersController@createForGroup')->name('group.members.create');
    Route::get('value-chain-training-sites/{group_id}/members/create', 'MembersController@createForValueChainTrainingSite')->name('vcts.members.create');
    Route::get('care-groups/{group_id}/members/create', 'MembersController@createForCareGroup')->name('care-groups.members.create');
    Route::get('isals/{group_id}/members/create', 'MembersController@createForIsals')->name('isals.members.create');
    Route::post('mass-store-members', 'MembersController@massStore')->name('members.massStore');
    Route::post('mass-store-vcts-members', 'MembersController@massStoreValueChainTrainingSite')->name('members.massStoreValueChainTrainingSite');
    Route::post('mass-store-caregroups-members', 'MembersController@massStoreCareGroup')->name('members.massStoreCareGroup');
    Route::post('mass-store-isals-members', 'MembersController@massStoreIsal')->name('members.massStoreIsal');
    Route::resource('members', 'MembersController');

    //Value Chain Training Site - Group-Category
    Route::post('value-chain-training-sites/import', 'ValueChainTrainingSiteController@import')->name('value-chain-training-sites.import');
    Route::delete('value-chain-training-sites/destroy', 'ValueChainTrainingSiteController@massDestroy')->name('value-chain-training-sites.massDestroy');
    Route::get('value-chain-training-sites/create', 'ValueChainTrainingSiteController@create')->name('value-chain-training-sites.create');
    Route::get('value-chain-training-sites/{group}', 'ValueChainTrainingSiteController@showGroup')->name('value-chain-training-sites.showGroup');
    Route::get('value-chain-training-sites/{group}/edit', 'ValueChainTrainingSiteController@edit')->name('value-chain-training-sites.edit');
    Route::patch('value-chain-training-sites/{id}', 'ValueChainTrainingSiteController@update')->name('value-chain-training-sites.update');
    Route::delete('value-chain-training-sites/{group}', 'ValueChainTrainingSiteController@destroy')->name('value-chain-training-sites.destroy');
    Route::resource('value-chain-training-sites', 'ValueChainTrainingSiteController');

    //Care Group - Group-Category
    Route::post('care-groups/import', 'CareGroupController@import')->name('care-groups.import');
    Route::delete('care-groups/destroy', 'CareGroupController@massDestroy')->name('care-groups.massDestroy');
    Route::get('care-groups/create', 'CareGroupController@create')->name('care-groups.create');
    Route::get('care-groups/{group}', 'CareGroupController@show')->name('care-groups.show');
    Route::get('care-groups/{group}/edit', 'CareGroupController@edit')->name('care-groups.edit');
    Route::patch('care-groups/{id}', 'CareGroupController@update')->name('care-groups.update');
    Route::delete('care-groups/{group}', 'CareGroupController@destroy')->name('care-groups.destroy');
    Route::resource('care-groups', 'CareGroupController');
    
    //Isals Group - Group Category
    Route::post('isals/import', 'IsalsController@import')->name('isals.import');
    Route::delete('isals/destroy', 'IsalsController@massDestroy')->name('isals.massDestroy');
    Route::get('isals/create', 'IsalsController@create')->name('isals.create');
    Route::get('isals/{group}', 'IsalsController@show')->name('isals.show');
    Route::get('isals/{group}/edit', 'IsalsController@edit')->name('isals.edit');
    Route::patch('isals/{id}', 'IsalsController@update')->name('isals.update');
    Route::delete('isals/{group}', 'IsalsController@destroy')->name('isals.destroy');
    Route::resource('isals', 'IsalsController');
    
    //Interventions
    Route::post('interventions/import', 'InterventionsController@import')->name('interventions.import');
    Route::delete('interventions/destroy', 'InterventionsController@massDestroy')->name('interventions.massDestroy');
    Route::get('interventions/map', 'InterventionsController@map')->name('interventions.map');
    Route::resource('interventions', 'InterventionsController');
    
    //Distribution
    Route::post('distributions/import', 'DistributionsController@import')->name('distributions.import');
    Route::get('distributions/export','DistributionsController@export')->name('distributions.export');
    Route::delete('distributions/destroy', 'DistributionsController@massDestroy')->name('distributions.massDestroy');
    Route::get('distributions/{distribution}/edit', 'DistributionsController@edit')->name('distributions.edit');
    Route::patch('distributions/{id}', 'DistributionsController@update')->name('distributions.update');
    Route::resource('distributions', 'DistributionsController');
    
    //Crops Data
    Route::post('crops/import', 'CropsController@import')->name('crops.import');
    Route::get('crops/export','CropsController@export')->name('crops.export');
    Route::delete('crops/destroy', 'CropsController@massDestroy')->name('crops.massDestroy');
    Route::resource('crops', 'CropsController');
    
    //Pfumvudza
    Route::post('pfumvudza/import', 'PfumvudzaController@import')->name('pfumvudza.import');
    Route::get('pfumvudza/export','PfumvudzaController@export')->name('pfumvudza.export');
    Route::delete('pfumvudza/destroy', 'PfumvudzaController@massDestroy')->name('pfumvudza.massDestroy');
    Route::resource('pfumvudza', 'PfumvudzaController');
    
    //Clean Facilitator - Teachers
    Route::delete('teachers/destroy', 'TeachersController@massDestroy')->name('teachers.massDestroy');
    Route::post('teachers/import', 'TeachersController@import')->name('teachers.import');

app/Models/Facilitator.php
<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;
use \DateTimeInterface;

class Facilitator extends Model
{
    use SoftDeletes;

    public $table = 'facilitators';

    protected $dates = [
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    const TYPE_SELECT = [
        'Facilitator' => 'Facilitator',
        'CBM' => 'CBM',
        'BCF' => 'BCF',
        'MAMID' => 'MAMID',
        'CAHW' => 'CAHW',
        'Leadmother' => 'Leadmother',
        'Lead Farmer' => 'Lead Farmer',
        'Private Sector' => 'Private Sector',
        'Field Officer' => 'Field Officer',
        'Village Health Worker' => 'Village Health Worker',
    ];

    protected $fillable = [
        'name',
        'type',
        'contact',
        'district',
        'wards',
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    protected function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }

    public function groups()
    {
        return $this->belongsToMany(Group::class)
            ->withPivot('position');
    }
    
    public function pfumvudza()
    {
        return $this->belongsToMany(Pfumvudza::class)
            ->withPivot('position');
    }

    public function trainings()
    {
        return $this->belongsToMany(Training::class)
            ->withPivot('position');
    }
    public function countLeadMothers($id){
         $facilitate = Facilitator::query()->where('id', $id)->first();
            $facilitate->load('groups');
            $leadMothers = array();
            $counting = 0;
            foreach ($facilitate->groups as $group) {
                $group = Group::query()->where('id', $group->id)->where('group_categories',"Care Group")->first();
                $leadMothers[] = $group->load('facilitators');
                $data = $group->load('facilitators');
                $counting += (sizeof($data->facilitators) - 1);
            }
            return $counting; 
    }

}

app/Http/Controllers/Admin/FacilitatorsController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Http\Requests\MassDestroyFacilitatorRequest;
use App\Http\Requests\StoreFacilitatorRequest;
use App\Http\Requests\UpdateFacilitatorRequest;
use App\Imports\FacilitatorImport;
use App\Models\Facilitator;
use Maatwebsite\Excel\Facades\Excel;
use Gate;
use Illuminate\Http\Request;
use Symfony\Component\HttpFoundation\Response;
use Yajra\DataTables\Facades\DataTables;

class FacilitatorsController extends Controller
{
    public function index(Request $request)
    {
        abort_if(Gate::denies('facilitator_access'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        if ($request->ajax()) {
            $query = Facilitator::query()->select(sprintf('%s.*', (new Facilitator)->table));
            $table = Datatables::of($query);

            $table->addColumn('placeholder', '&nbsp;');
            $table->addColumn('actions', '&nbsp;');

            $table->editColumn('actions', function ($row) {
                $viewGate      = 'facilitator_show';
                $editGate      = 'facilitator_edit';
                $deleteGate    = 'facilitator_delete';
                $crudRoutePart = 'facilitators';

                return view('partials.datatablesActions', compact(
                    'viewGate',
                    'editGate',
                    'deleteGate',
                    'crudRoutePart',
                    'row'
                ));
            });

            $table->editColumn('id', function ($row) {
                return $row->id ? $row->id : "";
            });
            $table->editColumn('name', function ($row) {
                return $row->name ? $row->name : "";
            });
            $table->editColumn('type', function ($row) {
                return $row->type ? Facilitator::TYPE_SELECT[$row->type] : '';
            });
            $table->editColumn('contact', function ($row) {
                return $row->contact ? $row->contact : "";
            });

            $table->rawColumns(['actions', 'placeholder']);

            return $table->make(true);
        }
            
        return view('admin.facilitators.index');
    }

    public function search(Request $request)
    {
        abort_unless(\Gate::allows('facilitator_access'), 403);

        $results = [];

        if ($request->has('search')) {
            $searchTerm = $request->search;
            $results = Facilitator::search(['name', 'type', 'contact'], $searchTerm)
                ->simplePaginate($request->perPage ?? 10);
        }

        return response()->json($results);
    }

    public function create()
    {
        abort_if(Gate::denies('facilitator_create'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.facilitators.create');
    }

    public function store(StoreFacilitatorRequest $request)
    {
        $facilitator = Facilitator::create($request->all());

        return redirect()->route('admin.facilitators.index');
    }

    public function edit(Facilitator $facilitator)
    {
        abort_if(Gate::denies('facilitator_edit'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.facilitators.edit', compact('facilitator'));
    }

    public function update(UpdateFacilitatorRequest $request, Facilitator $facilitator)
    {
        $facilitator->update($request->all());

        return redirect()->route('admin.facilitators.index');
    }

    public function show(Facilitator $facilitator)
    {
        abort_if(Gate::denies('facilitator_show'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        return view('admin.facilitators.show', compact('facilitator'));
    }

    public function destroy(Facilitator $facilitator)
    {
        abort_if(Gate::denies('facilitator_delete'), Response::HTTP_FORBIDDEN, '403 Forbidden');

        $facilitator->delete();

        return back();
    }

    public function massDestroy(MassDestroyFacilitatorRequest $request)
    {
        Facilitator::whereIn('id', request('ids'))->delete();

        return response(null, Response::HTTP_NO_CONTENT);
    }
    
    
    public function import(Request $request)
    {
        $file = $request->file('excel_file')->store('excel_imports');
        
        Excel::queueImport(new FacilitatorImport, $file);
        
        return back()->with('message', 'Imported Successfully!');
    }
}

resources/views/admin/facilitators/create.blade.php
@extends('layouts.admin')
@section('content')

<div class="card">
    <form method="POST" action="{{ route("admin.facilitators.store") }}" enctype="multipart/form-data">
        @csrf
        <div class="card-header">
            {{ trans('global.create') }} {{ trans('cruds.facilitator.title_singular') }}
        </div>

        <div class="card-body">
            <div class="form-group row">
                <label class="required col-md-3 col-form-label" for="name">{{ trans('cruds.facilitator.fields.name') }}</label>
                <div class="col-md-9">
                    <input class="form-control {{ $errors->has('name') ? 'is-invalid' : '' }}" type="text" name="name" id="name" value="{{ old('name', '') }}" required>
                    @if($errors->has('name'))
                        <div class="invalid-feedback">
                            {{ $errors->first('name') }}
                        </div>
                    @endif
                </div>
            </div>
            <div class="form-group row">
                <label class="required col-md-3 col-form-label">{{ trans('cruds.facilitator.fields.type') }}</label>
                <div class="col-md-9">
                    <select class="form-control {{ $errors->has('type') ? 'is-invalid' : '' }}" name="type" id="type" required>
                        @foreach(App\Models\Facilitator::TYPE_SELECT as $key => $label)
                            <option value="{{ $key }}" {{ old('type', '') === (string) $key ? 'selected' : '' }}>{{ $label }}</option>
                        @endforeach
                    </select>
                    @if($errors->has('type'))
                        <div class="invalid-feedback">
                            {{ $errors->first('type') }}
                        </div>
                    @endif
                </div>
            </div>
            <div class="form-group row">
                <label class="col-md-3 col-form-label" for="contact">{{ trans('cruds.facilitator.fields.contact') }}</label>
                <div class="col-md-9">
                    <input class="form-control {{ $errors->has('contact') ? 'is-invalid' : '' }}" type="text" name="contact" id="contact" value="{{ old('contact', '') }}">
                    @if($errors->has('contact'))
                        <div class="invalid-feedback">
                            {{ $errors->first('contact') }}
                        </div>
                    @endif
                </div>
            </div>
            <div class="form-group row">
                <label class="col-md-3 col-form-label" for="contact">{{ trans('cruds.facilitator.fields.contact') }}</label>
                <div class="col-md-9">
                     <select name="district" class="custom-select mr-sm-2" id="district">
                        <option value="">Select District</option>
                        @foreach (App\Models\Ward::DISTRICT_SELECT as $key => $district)
                        <option value="{{ $key }}">{{ $district }}</option>
                        @endforeach
                    </select>
                        @if($errors->has('district'))
                        <div class="invalid-feedback">
                            {{ $errors->first('district') }}
                            </div>
                                @endif
                            </div>
                        </div>
            
        </div>
        
        <div class="card-footer">
            <button class="btn btn-primary" type="submit"> {{ trans('global.save') }}</button>
            <button class="btn btn-danger" type="reset"> Reset</button>
            <a class="btn btn-default" href="{{ route('admin.facilitators.index') }}">
                {{ trans('global.back_to_list') }}
            </a>
        </div>
    </form>
</div>



@endsection

resources/views/admin/facilitators/edit.blade.php
@extends('layouts.admin')
@section('content')

<div class="card">
    <form method="POST" action="{{ route("admin.facilitators.update", [$facilitator->id]) }}" enctype="multipart/form-data">
        @method('PUT')
        @csrf
        <div class="card-header">
            {{ trans('global.edit') }} {{ trans('cruds.facilitator.title_singular') }}
        </div>

        <div class="card-body">
            <div class="form-group row">
                <label class="required col-md-3 col-form-label" for="name">{{ trans('cruds.facilitator.fields.name') }}</label>
                <div class="col-md-9">
                    <input class="form-control {{ $errors->has('name') ? 'is-invalid' : '' }}" type="text" name="name" id="name" value="{{ old('name', $facilitator->name) }}" required>
                    @if($errors->has('name'))
                        <div class="invalid-feedback">
                            {{ $errors->first('name') }}
                        </div>
                    @endif
                </div>
            </div>
            <div class="form-group row">
                <label class="required col-md-3 col-form-label">{{ trans('cruds.facilitator.fields.type') }}</label>
                <div class="col-md-9">
                    <select class="form-control {{ $errors->has('type') ? 'is-invalid' : '' }}" name="type" id="type" required>
                        <option value disabled {{ old('type', null) === null ? 'selected' : '' }}>{{ trans('global.pleaseSelect') }}</option>
                        @foreach(App\Models\Facilitator::TYPE_SELECT as $key => $label)
                            <option value="{{ $key }}" {{ old('type', $facilitator->type) === (string) $key ? 'selected' : '' }}>{{ $label }}</option>
                        @endforeach
                    </select>
                    @if($errors->has('type'))
                        <div class="invalid-feedback">
                            {{ $errors->first('type') }}
                        </div>
                    @endif
                </div>
            </div>
            <div class="form-group row">
                <label class="col-md-3 col-form-label" for="contact">{{ trans('cruds.facilitator.fields.contact') }}</label>
                <div class="col-md-9">
                    <input class="form-control {{ $errors->has('contact') ? 'is-invalid' : '' }}" type="text" name="contact" id="contact" value="{{ old('contact', $facilitator->contact) }}">
                    @if($errors->has('contact'))
                        <div class="invalid-feedback">
                            {{ $errors->first('contact') }}
                        </div>
                    @endif
                </div>
            </div>
            
        </div>
        
        <div class="card-footer">
            <button class="btn btn-primary" type="submit"> {{ trans('global.save') }}</button>
            <a class="btn btn-default" href="{{ route('admin.facilitators.index') }}">
                {{ trans('global.back_to_list') }}
            </a>
        </div>
    </form>
</div>



@endsection

resources/views/admin/facilitators/import.blade.php
<div class="modal fade" id="csvImportModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel">
    <div class="modal-dialog" role="document">
        <div class="modal-content">
            <div class="modal-header">
                <h4 class="modal-title" id="myModalLabel">@lang('global.app_excelImport')</h4>
                <button type="button" class="close" data-dismiss="modal" aria-label="Close"><span
                        aria-hidden="true">&times;</span></button>
            </div>
            <div class="modal-body">
                <div class='row'>
                    <div class='col-md-12'>

                    <form class="form-horizontal" method="POST" action="{{ route('admin.facilitators.import') }}" enctype="multipart/form-data">
                            {{ csrf_field() }}

                            <div class="form-group{{ $errors->has('excel_file') ? ' has-error' : '' }}">
                                <label for="excel_file"
                                    class="col-md-4 control-label">@lang('global.app_excel_file_to_import')</label>
                                <div class="col-md-6">
                                    <input id="excel_file" type="file" class="form-control-file" name="excel_file"
                                        required>

                                    @if($errors->has('excel_file'))
                                    <span class="help-block">
                                        <strong>{{ $errors->first('excel_file') }}</strong>
                                    </span>
                                    @endif
                                </div>
                            </div>

                            <div class="form-group">
                                <div class="col-md-8 col-md-offset-4">
                                    <button type="submit" class="btn btn-primary">
                                        Import the Excel File
                                    </button>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

resources/views/admin/facilitators/index.blade.php
@extends('layouts.admin')
@section('content')
@can('facilitator_create')
    <div style="margin-bottom: 10px;" class="row">
        <div class="col-lg-12">
            <a class="btn btn-success" href="{{ route('admin.facilitators.create') }}">
                {{ trans('global.add') }} {{ trans('cruds.facilitator.title_singular') }}
            </a>
            <a class="btn btn-warning" href="#" data-toggle="modal" data-target="#csvImportModal">
                {{ trans('cruds.importFacilitators.title_singular') }}
            </a>
            
            @include('admin.facilitators.import')
        </div>
    </div>
@endcan
<div class="card">
    <div class="card-header">
        {{ trans('cruds.facilitator.title_singular') }} {{ trans('global.list') }}
    </div>

    <div class="card-body">
        <table class=" table table-bordered table-striped table-hover ajaxTable datatable datatable-Facilitator">
            <thead>
                <tr>
                    <th width="10">

                    </th>
                    <th>
                        {{ trans('cruds.facilitator.fields.id') }}
                    </th>
                    <th>
                        {{ trans('cruds.facilitator.fields.name') }}
                    </th>
                    <th>
                        {{ trans('cruds.facilitator.fields.type') }}
                    </th>
                    <th>
                        {{ trans('cruds.facilitator.fields.contact') }}
                    </th>
                    
                </tr>
                <tr>
                    <td>
                    </td>
                    <td>
                        <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                    </td>
                    <td>
                        <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                    </td>
                    <td>
                        <select class="search" strict="true">
                            <option value>{{ trans('global.all') }}</option>
                            @foreach(App\Models\Facilitator::TYPE_SELECT as $key => $item)
                                <option value="{{ $item }}">{{ $item }}</option>
                            @endforeach
                        </select>
                    </td>
                    <td>
                        <input class="search" type="text" placeholder="{{ trans('global.search') }}">
                    </td>
                    <td>
                    </td>
                </tr>
            </thead>
        </table>
    </div>
</div>



@endsection
@section('scripts')
@parent
<script>
    $(function () {
  let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
@can('facilitator_delete')
  let deleteButtonTrans = '{{ trans('global.datatables.delete') }}';
  let deleteButton = {
    text: deleteButtonTrans,
    url: "{{ route('admin.facilitators.massDestroy') }}",
    className: 'btn-danger',
    action: function (e, dt, node, config) {
      var ids = $.map(dt.rows({ selected: true }).data(), function (entry) {
          return entry.id
      });

      if (ids.length === 0) {
        alert('{{ trans('global.datatables.zero_selected') }}')

        return
      }

      if (confirm('{{ trans('global.areYouSure') }}')) {
        $.ajax({
          headers: {'x-csrf-token': _token},
          method: 'POST',
          url: config.url,
          data: { ids: ids, _method: 'DELETE' }})
          .done(function () { location.reload() })
      }
    }
  }
  dtButtons.push(deleteButton)
@endcan

  let dtOverrideGlobals = {
    buttons: dtButtons,
    processing: true,
    serverSide: true,
    retrieve: true,
    aaSorting: [],
    ajax: "{{ route('admin.facilitators.index') }}",
    columns: [
      { data: 'placeholder', name: 'placeholder' },
{ data: 'id', name: 'id' },
{ data: 'name', name: 'name' },
{ data: 'type', name: 'type' },
{ data: 'contact', name: 'contact' },
{ data: 'actions', name: '{{ trans('global.actions') }}' }
    ],
    orderCellsTop: true,
    order: [[ 1, 'desc' ]],
    pageLength: 100,
  };
  let table = $('.datatable-Facilitator').DataTable(dtOverrideGlobals);
  $('a[data-toggle="tab"]').on('shown.bs.tab click', function(e){
      $($.fn.dataTable.tables(true)).DataTable()
          .columns.adjust();
  });
  $('.datatable thead').on('input', '.search', function () {
      let strict = $(this).attr('strict') || false
      let value = strict && this.value ? "^" + this.value + "$" : this.value
      table
        .column($(this).parent().index())
        .search(value, strict)
        .draw()
  });
});

</script>
@endsection